Name:		edgar
Version:	1.14
Release:	%mkrel 1
Summary:	The Legend of Edgar - 2D platform game
Group:		Games/Arcade
License:	GPLv2+
URL:		http://www.parallelrealities.co.uk/p/legend-of-edgar.html
Source0:	http://downloads.sourceforge.net/legendofedgar/%{name}/%{name}-%{version}-1.tar.xz
Patch0:		edgar-1.14-cflags.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}%{srel}-buildroot
Requires: %{_lib}SDL_ttf2.0_0
Requires: %{_lib}SDL_mixer1.2
Requires: %{_lib}SDL1.2_0
Requires: %{_lib}SDL_image1.2
Requires: %{_lib}SDL_net1.2
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}SDL_mixer1.2-devel
BuildRequires: %{_lib}SDL_ttf-devel
BuildRequires: %{_lib}SDL_image-devel
BuildRequires: %{_lib}SDL_net-devel

%description
The Legend of Edgar is a platform game, not unlike those found on the Amiga
and SNES. Edgar must battle his way across the world, solving puzzles and
defeating powerful enemies to achieve his quest. 

Story: When his father fails to return home after venturing out one dark and
stormy night, Edgar fears the worst: he has been captured by the evil
sorcerer who lives in a fortress beyond the forbidden swamp.
Donning his armor, Edgar sets off to rescue him, but his quest will not be 
easy...

%prep
%setup -q
%apply_patches

%build
export CFLAGS="%{optflags}"
%make

%install
rm -rf %buildroot
%makeinstall_std

desktop-file-install \
  --delete-original \
  --remove-key Encoding \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Arcade" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc doc/changes doc/music_and_sound_licences doc/*.html doc/*.gif doc/*.png
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_gamesdatadir}/%{name}

%clean
rm -rf %buildroot

%changelog
* Mon Feb 24 2014 bb <bb> 1.14-1pclos2014
- update

* Sun Jun 03 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.01-1pclos2012
- added %{_lib} macros
- added german description
- added srel macro

* Tue May 17 2011 Ertain <sirius-c at iname.com> 0.85-1pclos2011
- 0.85

* Sat Aug 21 2010 Ertain <sirius-c at iname.com> 0.67-1pclos2010
- 0.67

* Tue Jun 22 2010 Texstar <texstar at gmail.com> 0.61-1pclos2010
- 0.61

* Sat May 24 2010 slick50 <lxgator at gmail.com> 0.56.1-1pclos2010
- 0.56.1

* Tue Mar 09 2010 Ertain <Sirius-C@iname.com> 0.51-1pclos2010
- Updated to 0.51.

* Tue Feb 09 2010 Ertain <Sirius-C@iname.com> 0.46-1pclos2010
- Updated to 0.46
- Added a patch to change around the destination directory (at least
in building the RPM).
- Added part in files section for "LC_MESSAGES", from the "pl" directory.

* Wed Oct 14 2009 slick50 <lxgator@gmail.com> 0.33-1pclos2010
- 0.33

* Mon Oct 05 2009 Ertain <Sirius-C@iname.com> 0.32-1pclos2009
- Updated to 0.32

* Sat Sep 26 2009 Ertain <Sirius-C@iname.com> 0.31-1pclos2009
- initial package.
- Makefile patch from slick50.

